# pexel-downloader
"Pexel Downloader: Python-based web scraper for effortlessly downloading high-quality photos and videos from Pexels.com, open-source with MIT License."

![pexel-downloader](https://github.com/Gabriellgpc/pexel-downloader/raw/main/pexel_downloader-logo.jpg)

📷 **Pexel Downloader - Your Gateway to Stunning Visuals!** 🎥
---
Welcome to the Pexel Downloader, a Python-based web scraper designed to help you effortlessly gather high-quality photos and videos from the Pexels.com website. Whether you're a content creator, developer, or just a visual enthusiast, this open-source tool is here to simplify your media acquisition process.

## ✨ Features
---
- Download photos and videos from Pexels easily.
- MIT License: Free to use, modify, and contribute to.
- Flexible command-line interface (CLI) for quick downloads.
- Integrates smoothly with Python projects.

Pexel Downloader offers a user-friendly interface, robust performance, and the flexibility to fit seamlessly into your projects. Join our community of developers and creators, and together, let's make this tool even better.

## 📥 Installation
---
### Prerequisites
- **Python**: You’ll need Python 3.7 or later installed.

#### For Non-Coders: How to Install Python

1. **Windows**:
   - Download the latest version of Python from [python.org](https://www.python.org/downloads/).
   - Run the installer and check "Add Python to PATH" during installation.
   - Verify by opening Command Prompt and typing `python --version`.

2. **Linux**:
   - Open Terminal and install Python with your package manager:
     ```bash
     sudo apt update
     sudo apt install python3
     ```
   - Verify installation:
     ```bash
     python3 --version
     ```

### Installing Pexel Downloader
---
Once Python is installed, you can install Pexel Downloader directly from PyPI:

```bash
pip install pexel-downloader
```

### Using it

#### 🔑 API Key Setup
---
To use Pexel Downloader, you need a Pexels API key:
1. Create an Account: Register on [pexels.com](https://www.pexels.com/).
2. Set API Key:
    - Recommended: Set your API key as an environment variable PEXEL_API_KEY.
    - Alternatively: Pexel Downloader will prompt you to enter it securely when you run it.

#### Setting the API Key as an Environment Variable
---
1. **Windows**:
    ```bash
    setx PEXEL_API_KEY "your_actual_api_key"
    ```
2. **Linux**:
    ```bash
    export PEXEL_API_KEY="your_actual_api_key"
    ```

Replace your_actual_api_key with the actual key you received from Pexels.

🙌 **Contributions Welcome:**
---
We invite you to contribute to the development of Pexel Downloader. Feel free to submit bug reports, feature requests, or even make direct contributions. Let's build something amazing together!

📜 **License:**
---
Pexel Downloader is released under the MIT License, granting you the freedom to use and modify it for your projects.

<!-- 🔗 **Links:**
- [Demo Video](Link to Demo Video)
- [Report Issues](Link to Issue Tracker)
- [Contribute Guidelines](Link to Contribution Guidelines) -->

Get started with Pexel Downloader today, and elevate your visual content game. Happy scraping!